import { Component, OnInit, Inject } from "@angular/core";
import {
  MatDialog,
  MAT_DIALOG_DATA,
  MatDialogRef,
} from "@angular/material/dialog";
@Component({
  selector: "app-evaluate",
  templateUrl: "./evaluate.component.html",
  styleUrls: ["./evaluate.component.scss"],
})
export class EvaluateComponent implements OnInit {
  constructor(
    public dialogRef: MatDialogRef<EvaluateComponent>,
    @Inject(MAT_DIALOG_DATA) public data: any
  ) {}
  ngOnInit(): void {
    // throw new Error("Method not implemented.");
  }

  onNoClick(type): void {
    let obj = {
      type: type,
      value: this.data.Evaluate,
    };
    this.dialogRef.close(obj);
  }
}
