import { Component, OnInit } from '@angular/core';
import { HttpClient } from '@angular/common/http'
import { MatDialogRef } from '@angular/material/dialog';
import { MatSnackBarConfig, MatSnackBar } from '@angular/material/snack-bar';

@Component({
  selector: 'app-changepassword',
  templateUrl: './changepassword.component.html',
  styleUrls: ['./changepassword.component.scss']
})

export class ChangepasswordComponent implements OnInit {
  
  constructor(private http:HttpClient,public snackBar: MatSnackBar,
    public dialogRef: MatDialogRef<ChangepasswordComponent>) { }

  ngOnInit() {
  }
  errmsg :string = ''

  onSubmit(e){
    this.http.put('/api/ExamAccounts/Password', {
      password: e.password,
      newPassword: e.newPassword,
    }).subscribe(data=> {
      const config = new MatSnackBarConfig();
      config.verticalPosition = 'top';
      config.duration = 3000
      this.snackBar.open('密码修改成功','确定',config);
      this.dialogRef.close(data);
    },(err) =>
    {this.errmsg = err}
    )
   }



}

