import { Routes, RouterModule } from "@angular/router";
import { NgModule } from "@angular/core";
import { TeacherManagementComponent } from "./teacherManagement/enterpriseuser.component";
import { EnterpriseuserComponent } from "./enterpriseuser/enterpriseuser.component";
import { AdministratorsComponent } from "./administrators/administrators.component";
const routes: Routes = [
  { path: "teachear", component: TeacherManagementComponent }, //管理员  教员页面
  { path: "examinee", component: EnterpriseuserComponent }, //管理员  考生页面
  { path: "admin", component: AdministratorsComponent }, //管理员  考生页面
];
@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class UiRoutingModule {}
