/**
 * 属性
 */
export class PropertyInfo {
  constructor(instanceData: any) {
    this.Tag = instanceData.tag;
    this.Order = instanceData.order;
    this.Enabled = instanceData.enabled;
    this.Visible = instanceData.visible;
    this.Required = instanceData.required;
    this.RuleName = instanceData.ruleName;
    this.RuleValue = instanceData.ruleValue;
    this.PhysicalUnit = instanceData.physicalUnit;
    this.PropertyName = instanceData.propertyName;
    this.PropertyType = instanceData.propertyType;
    this.PropertyValue = instanceData.propertyValue;
  }
  /**
   * 标记位,用于扩展
   */
  public Tag: string;
  /**
   * 属性排序
   */
  public Order: number;
  /**
   * 是否启用
   */
  public Enabled: boolean;
  /**
   * 是否可见
   */
  public Visible: boolean;
  /**
   * 必填
   */
  public Required: boolean;
  /**
   * 验证规则名称
   */
  public RuleName: string;
  /**
   * 验证规则值
   */
  public RuleValue: string;
  /**
   * 物理单位
   */
  public PhysicalUnit: string;
  /**
   * 属性名称
   */
  public PropertyName: string;
  /**
   * 属性类型
   */
  public PropertyType: number;
  /**
   * 属性值
   */
  public PropertyValue: string;
}
