import { Sprite } from 'pixi.js';
import { Graphics } from 'pixi.js';
import { WorkingAreaComponent } from '../working-area.component';
import { AxShape } from './axShape';

export class AxRectangleShape extends AxShape {
    /**
     *
     */
    constructor(x: number, y: number, width: number, height: number, assetData: any, workingArea: WorkingAreaComponent) {
        super(assetData, workingArea);
        this.beginFill(0x0000ff, 1);
        this.lineStyle(1, 0xff0000, 1);
        this.drawRect(x, y, width, height);
        this.endFill();


    }


}
