/*
 * @Descripttion: 
 * @version: 
 * @Author: sueRimn
 * @Date: 2020-12-10 12:11:26
 * @LastEditors: sueRimn
 * @LastEditTime: 2020-12-15 14:31:45
 */
import { Routes, RouterModule } from '@angular/router';
import { NgModule } from '@angular/core';
import { ExaminerIndexComponent } from './examiner-index/examiner-index.component'
import { ExaminerNewOneComponent} from './examiner-new-one/examiner-new-one.component'
import { MarkPapersIndexComponent} from './mark-papers-index/mark-papers-index.component'
import { MarkPapersTwoComponent } from './mark-papers-two/mark-papers-two.component'
import { EchartsComponent } from './statistic-analysis/examStatistics/echarts/echarts.component';
import { ExamineeCapacityComponent } from './statistic-analysis/abilityAnalysis/examinee-capacity/examinee-capacity.component';
import { StationExamineeComponent } from './statistic-analysis/examStatistics/station-examinee/station-examinee.component';
import { ExamineePapersComponent } from './statistic-analysis/examStatistics/examinee-papers/examinee-papers.component';

const routes: Routes = [
    { path: 'createexam-index', component:ExaminerIndexComponent },
    { path: 'createexam-index/examiner-new-one', component:ExaminerNewOneComponent },
    { path: 'mark-papers-index',component:MarkPapersIndexComponent},
    { path: 'mark-papers-index/mark-papers-two',component:MarkPapersTwoComponent},
    { path: 'statistic-examination',component:EchartsComponent},
    { path: 'statistic-examination/station-examinee',component:StationExamineeComponent},
    { path: 'statistic-examination/examinee-papers',component:ExamineePapersComponent},
    { path: 'statistic-capacity',component:ExamineeCapacityComponent}
]
@NgModule({
    imports: [RouterModule.forChild(routes)],
    exports: [RouterModule]
})
export class examinerRoutingModule {}
