/**
 * 绘制模式
 */
export enum PaintMode {
    /**
     * 单点图标
     */
    singlePointIcon,
    /**
     * 线段图标
     */
    lineIcon,
    /**
     * 自定义多边形
     */
    polygonIcon,
    /**
     * 水带多边形
     */
    Pipeline,
    /**
     * 结束绘制
     */
    endPaint,
    /**
     * 暂无
     */
    Arrows,
    /**
     * 暂无
     */
    Car,
}
